> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push new suppliers

> Will import new supplier into the system and return errors if any



## OpenAPI

````yaml post /suppliers
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /suppliers:
    post:
      tags:
        - Suppliers
      summary: Push new suppliers
      description: Will import new supplier into the system and return errors if any
      operationId: AddSupplier
      parameters:
        - name: validationOnly
          in: query
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Supplier'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Supplier'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Supplier'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OperationResult'
            application/json:
              schema:
                $ref: '#/components/schemas/OperationResult'
            text/json:
              schema:
                $ref: '#/components/schemas/OperationResult'
        '206':
          description: Partial Content
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Supplier:
      required:
        - activityCode
        - activityName
        - supplierCode
        - supplierName
      type: object
      properties:
        activityCode:
          title: CODACTI
          maxLength: 3
          minLength: 1
          type: string
          description: Code de l'activité
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
          nullable: true
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
          nullable: true
        activityName:
          title: LIBACTI
          maxLength: 30
          minLength: 1
          type: string
          description: Nom de l'activité
        supplierCode:
          title: CODFOUR
          maxLength: 13
          minLength: 1
          type: string
          description: Unique identifier of the supplier
        supplierTitle:
          title: SUPCIVI
          maxLength: 3
          type: string
          description: Civilité fournisseur
          nullable: true
        supplierName:
          title: SUPNOM
          maxLength: 30
          minLength: 1
          type: string
          description: Libellé fournisseur
        supplierFirstName:
          title: SUPPNOM
          maxLength: 50
          type: string
          description: Prenom fournisseur
          nullable: true
        supplierCompany:
          title: SUPSCTE
          maxLength: 50
          type: string
          description: Raison Sociale
          nullable: true
        supplierAddress1:
          title: SUPADR1
          maxLength: 30
          type: string
          description: Adresse fournisseur 1
          nullable: true
        supplierAddress2:
          title: SUPADR2
          maxLength: 30
          type: string
          description: Adresse fournisseur 2
          nullable: true
        supplierAddress3:
          title: SUPADR3
          maxLength: 30
          type: string
          description: Adresse fournisseur 3
          nullable: true
        supplierPostalCode:
          title: SUPCPOS
          maxLength: 20
          type: string
          description: Code Postale du fournisseur
          nullable: true
        supplierCity:
          title: SUPVILL
          maxLength: 50
          type: string
          description: Ville du fournisseur
          nullable: true
        supplierCountry:
          title: SUPPAYS
          maxLength: 2
          type: string
          description: Code pays ISO du fournisseur
          nullable: true
        supplierCountryName:
          title: NOMPAYS
          maxLength: 15
          type: string
          description: Nom pays du fournisseur
          nullable: true
        supplierState:
          title: DIVISIONTERRITORIALE
          maxLength: 9
          type: string
          description: Division territoriale du fournisseur
          nullable: true
        supplierPhone:
          title: SUPTEL
          maxLength: 15
          type: string
          description: Téléphone du fournisseur
          nullable: true
        supplierFax:
          title: SUPFAX
          maxLength: 15
          type: string
          description: fax du fournisseur
          nullable: true
        supplierMail:
          title: SUPMAIL
          maxLength: 50
          type: string
          description: Adresse mail du fournisseur
          nullable: true
        supplierOption:
          title: SUPOPTN
          maxLength: 50
          type: string
          description: Option de nom fournisseur
          nullable: true
        supplierComments:
          title: SUPCOMM
          maxLength: 100
          type: string
          description: Commentaire du fournisseur
          nullable: true
        supplierAgreementNumber:
          title: NUMEROAGREMENT
          maxLength: 15
          type: string
          description: Numéro Agrément du fournisseur alcool
          nullable: true
        supplierControl:
          title: CTRLFOUR
          maxLength: 1
          type: string
          description: Top contrôle fournisseur
          nullable: true
        supplierEdiEdition:
          title: EDIFOUR
          maxLength: 1
          type: string
          description: Gestion declaration douaniere alcool par EDI
          nullable: true
        customField1:
          title: SPECIF1
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField2:
          title: SPECIF2
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField3:
          title: SPECIF3
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField4:
          title: SPECIF4
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField5:
          title: SPECIF5
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField6:
          title: SPECIF6
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField7:
          title: SPECIF7
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField8:
          title: SPECIF8
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField9:
          title: SPECIF9
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField10:
          title: SPECIF10
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField11:
          title: SPECIF11
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        id:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    OperationResult:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusEnum'
        operationId:
          type: string
          nullable: true
          readOnly: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/OperationError'
          nullable: true
          readOnly: true
        passed:
          type: array
          items:
            type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    StatusEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
    OperationError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````